<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->
<!-- $Id: links.xml,v 1.2 2004/03/04 18:39:49 evenisse Exp $ -->

<!ENTITY _module '<code>&lt;module&gt;</code>'>
<!ENTITY module '<a href="descriptor.html#module">&_module;</a>'>

<!ENTITY _service '<code>&lt;service&gt;</code>'>
<!ENTITY service '<a href="descriptor.html#service">&_service;</a>'>

<!ENTITY _extension-point '<code>&lt;extension-point&gt;</code>'>
<!ENTITY extension-point '<a href="descriptor.html#extension-point">&_extension-point;</a>'>

<!ENTITY _create-instance '<code>&lt;create-instance&gt;</code>'>
<!ENTITY create-instance '<a href="descriptor.html#create-instance">&_create-instance;</a>'>

<!ENTITY _invoke-factory '<code>&lt;invoke-factory&gt;</code>'>
<!ENTITY invoke-factory '<a href="descriptor.html#invoke-factory">&_invoke-factory;</a>'>

<!ENTITY _interceptor '<code>&lt;interceptor&gt;</code>'>
<!ENTITY interceptor '<a href="descriptor.html#interceptor">&_interceptor;</a>'>

<!ENTITY _description '<code>&lt;description&gt;</code>'>
<!ENTITY description '<a href="descriptor.html#description">&_description;</a>'>

<!ENTITY _extension '<code>&lt;extension&gt;</code>'>
<!ENTITY extension '<a href="descriptor.html#extension">&_extension;</a>'>

<!ENTITY _extend-service '<code>&lt;extend-service&gt;</code>'>
<!ENTITY extend-service '<a href="descriptor.html#extend-service">&_extend-service;</a>'>

<!ENTITY _schema '<code>&lt;schema&gt;</code>'>
<!ENTITY schema '<a href="descriptor.html#schema">&_schema;</a>'>

<!ENTITY _parameters-schema '<code>&lt;parameters-schema&gt;</code>'>
<!ENTITY parameters-schema '<a href="descriptor.html#schema">&_parameters-schema;</a>'>

<!ENTITY _element '<code>&lt;element&gt;</code>'>
<!ENTITY element '<a href="descriptor.html#element">&_element;</a>'>

<!ENTITY _attribute '<code>&lt;attribute&gt;</code>'>
<!ENTITY attribute '<a href="descriptor.html#attribute">&_attribute;</a>'>

<!ENTITY _rules '<code>&lt;rules&gt;</code>'>
<!ENTITY rules '<a href="descriptor.html#rules">&_rules;</a>'>


<!-- XML entities for the XML processing rules (documented seperately from the rest). -->

<!ENTITY _create-object '<code>&lt;create-object&gt;</code>'>
<!ENTITY create-object '<a href="rules.html#create-object">&_create-object;</a>'>

<!ENTITY _invoke-parent '<code>&lt;invoke-parent&gt;</code>'>
<!ENTITY invoke-parent '<a href="rules.html#invoke-parent">&_invoke-parent;</a>'>

<!ENTITY _read-attribute '<code>&lt;read-attribute&gt;</code>'>
<!ENTITY read-attribute '<a href="rules.html#read-attribute">&_read-attribute;</a>'>

<!ENTITY _read-content '<code>&lt;read-content&gt;</code>'>
<!ENTITY read-content '<a href="rules.html#read-content">&_read-content;</a>'>

<!ENTITY _set-parent '<code>&lt;set-parent&gt;</code>'>
<!ENTITY set-parent '<a href="rules.html#set-parent">&_set-parent;</a>'>



